package com.zm.order.tool.server.query;


import com.alibaba.fastjson.JSON;

import java.util.Date;

/**
 * @Description 排队记录查询
 * @Author: ph
 * @Date: 2019/12/11 14:01
 */
public class LineUpRecordQuery {

    /**
     * 商家id
     */
    private Long sellerId;

    /**
     * 门店id
     */
    private Long storeId;

    /**
     * 楼层编码
     */
    private String floorCode;

    /**
     * 档口编码
     */
    private String stallCode;

    /**
     * 订单编号
     */
    private String orderNo;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 排队记录创建时间
     */
    private Date createdAt;


    /**
     * 排队记录修改时间
     */
    private Date updatedAt;

    /**
     * skuId
     */
    private Long goodsId;


    /**
     * 删除标识
     */
    private Integer isDeleted;

    /**
     * 排队记录创建时间
     */
    private Date payAtStart;

    /**
     * 排队记录创建时间
     */
    private Date payAtEnd;

    public Date getPayAtStart() {
        return payAtStart;
    }

    public void setPayAtStart(Date payAtStart) {
        this.payAtStart = payAtStart;
    }

    public Date getPayAtEnd() {
        return payAtEnd;
    }

    public void setPayAtEnd(Date payAtEnd) {
        this.payAtEnd = payAtEnd;
    }

    public Integer getIsDeleted() {
        return isDeleted;
    }

    public void setIsDeleted(Integer isDeleted) {
        this.isDeleted = isDeleted;
    }

    public Long getGoodsId() {
        return goodsId;
    }

    public void setGoodsId(Long goodsId) {
        this.goodsId = goodsId;
    }

    public Long getSellerId() {
        return sellerId;
    }

    public void setSellerId(Long sellerId) {
        this.sellerId = sellerId;
    }

    public Long getStoreId() {
        return storeId;
    }

    public void setStoreId(Long storeId) {
        this.storeId = storeId;
    }

    public String getFloorCode() {
        return floorCode;
    }

    public void setFloorCode(String floorCode) {
        this.floorCode = floorCode;
    }

    public String getStallCode() {
        return stallCode;
    }

    public void setStallCode(String stallCode) {
        this.stallCode = stallCode;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }


    public Date getCreatedAt() {
        return createdAt;
    }

    public void setCreatedAt(Date createdAt) {
        this.createdAt = createdAt;
    }

    public Date getUpdatedAt() {
        return updatedAt;
    }

    public void setUpdatedAt(Date updatedAt) {
        this.updatedAt = updatedAt;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }
}
